Page MenuHomePhabricator

Fixed build warning with -DLIBOMP_USE_HWLOC=1
ClosedPublic

Authored by AndreyChurbanov on May 23 2019, 11:10 AM.

Details

Summary

HWLOC 2.0 changed the type depth field in hwloc_obj_t structure from unsigned to int. People can use either old or newer HWLOC during the build with -DLIBOMP_USE_HWLOC=1 option. The patch checks the version of HWLOC installed and use appropriate type to prevent build warning on signed-unsigned comparison.

Diff Detail

Repository
rL LLVM

Event Timeline

hbae accepted this revision.May 31 2019, 12:51 PM

LGTM.

This revision is now accepted and ready to land.May 31 2019, 12:51 PM
Closed by commit rL362401: Fixed build warning with -DLIBOMP_USE_HWLOC=1 (authored by achurbanov, committed by ). · Explain WhyJun 3 2019, 7:19 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 3 2019, 7:19 AM